package cn.iocoder.yudao.module.product.enums;

import cn.iocoder.yudao.framework.common.core.IntArrayValuable;
import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.Arrays;

@Getter
@AllArgsConstructor
public enum InspectionResultEnums implements IntArrayValuable {

    QUALIFIED(0, "合格"),
    UNQUALIFIED(1, "不合格"),
    ;

    public static final int[] ARRAYS = Arrays.stream(values()).mapToInt(InspectionResultEnums::getResult).toArray();

    /**
     * 上链状态
     */
    private final Integer result;

    /**
     * 状态名
     */
    private final String resultName;

    @Override
    public int[] array() {
        return ARRAYS;
    }
}
